Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname grunt-cli

Name:           nodejs-grunt-cli
Version:        1.2.0
Release:        alt1_7
Summary:        Command-line interface for Grunt, the JavaScript testing framework
License:        MIT
URL:            https://github.com/gruntjs/grunt-cli
Source0:        https://github.com/gruntjs/%{srcname}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
Requires:       npm(grunt)
Source44: import.info


%description
Grunt is the JavaScript task runner.

Grunt-cli gives you access to the grunt command-line interface anywhere on
your system, which is useful when running a locally installed Grunt for your
project.


%prep
%setup -q -n %{srcname}-%{version}
%nodejs_fixdep findup-sync '~0.3'
%nodejs_fixdep nopt '^3.0.6'
%nodejs_fixdep resolve '^1.1.6'

sed -i '1 s|#!/usr/bin/env node|#!/usr/bin/node|' bin/grunt


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-cli
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/grunt-cli

install -p -D -m0755 bin/grunt \
    %{buildroot}%{nodejs_sitelib}/grunt-cli/bin/grunt-cli
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/grunt-cli/bin/grunt-cli \
    %{buildroot}%{_bindir}/grunt

# Bash completion
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
sed '1{\@^#!/bin/bash@d}' completion/bash \
    > %{buildroot}%{_datadir}/bash-completion/completions/grunt
chmod 0644 %{buildroot}%{_datadir}/bash-completion/completions/grunt
touch -r completion/bash %{buildroot}%{_datadir}/bash-completion/completions/grunt


%nodejs_symlink_deps


%files
%doc AUTHORS CHANGELOG.md README.md
%doc --no-dereference LICENSE-MIT
%{nodejs_sitelib}/grunt-cli
%{_bindir}/grunt
%{_datadir}/bash-completion/completions/grunt


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_7
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt0.1.njs.bootstrap
- bootstrap

